% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vis_compare_ly.R
\name{vis_compare_ly}
\alias{vis_compare_ly}
\title{Interactive vis_compare compare two dataframes to find differences.s}
\usage{
vis_compare_ly(df1, df2)
}
\arguments{
\item{df1}{The first dataframe to compare}

\item{df2}{The second dataframe to compare to the first.}
}
\value{
\code{plotly} interactive plot, similar in appearance to \code{vis_compare}
}
\description{
\code{vis_compare_ly}, like the other \code{vis_*_ly} families, gives an at-a-glance
interactive plotly plot of a dataset, using the \code{*} method. In thi case,
an interactive version of \code{vis_compare}, which is used to visualise and
compare \strong{two} different dataframes of the same dimension, and so takes
two dataframes as arguments.
}
\examples{

# make a new dataset of iris that contains some NA values
iris_diff <- iris
iris_diff[1:10, 1:2] <- NA

vis_compare_ly(iris, iris_diff)
}
\seealso{
\code{\link[=vis_dat]{vis_dat()}} \code{\link[=vis_miss]{vis_miss()}} \code{\link[=vis_miss_ly]{vis_miss_ly()}} \code{\link[=vis_dat_ly]{vis_dat_ly()}}
\code{\link[=vis_compare]{vis_compare()}} \code{\link[=vis_guess]{vis_guess()}}
}
