% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vis_guess_ly.R
\name{vis_guess_ly}
\alias{vis_guess_ly}
\title{Visualise guess in a data.frame}
\usage{
vis_guess_ly(x, palette = "default")
}
\arguments{
\item{x}{a data.frame object}

\item{palette}{character "default", "qual" or "cb_safe". "default" (the
default) provides the stock ggplot scale for separating the colours.
"qual" uses an experimental qualitative colour scheme for providing
distinct colours for each Type. "cb_safe" is a set of colours that are
appropriate for those with colourblindness. "qual" and "cb_safe" are drawn
from http://colorbrewer2.org/.}
}
\value{
\code{plotly} interactive plot, similar in appearance to \code{vis_guess}
}
\description{
\code{vis_guess_ly}, like the other \code{vis_*_ly} families, gives an at-a-glance
interactive plotly plot of a dataset, using the \code{*} method. In this case,
an interactive version of \code{vis_guess}.
}
\examples{

messy_vector <- c(TRUE,
                 "TRUE",
                 "T",
                 "01/01/01",
                 "01/01/2001",
                 NA,
                 NaN,
                 "NA",
                 "Na",
                 "na",
                 "10",
                 10,
                 "10.1",
                 10.1,
                 "abc",
                 "$\%TG")
set.seed(1114)
messy_df <- data.frame(var1 = messy_vector,
                       var2 = sample(messy_vector),
                       var3 = sample(messy_vector))
vis_guess_ly(messy_df)

}
\seealso{
\code{\link[=vis_miss]{vis_miss()}} \code{\link[=vis_dat]{vis_dat()}} \code{\link[=vis_miss_ly]{vis_miss_ly()}} \code{\link[=vis_compare]{vis_compare()}}
}
